Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 362)
+++ trunk/install/sql/eleonline.sql	(revision 394)
@@ -1,15 +1,5 @@
--- phpMyAdmin SQL Dump
--- version 5.1.0
--- https://www.phpmyadmin.net/
---
--- Host: localhost
--- Creato il: Mar 11, 2022 alle 17:08
--- Versione del server: 10.3.27-MariaDB-0+deb10u1
--- Versione PHP: 7.3.31-1~deb10u1
-
 SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
 START TRANSACTION;
 SET time_zone = "+00:00";
-
 
 /*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
@@ -18,22 +8,11 @@
 /*!40101 SET NAMES utf8mb4 */;
 
---
--- Database: `eleonline3`
---
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_access`
---
+CREATE DATABASE IF NOT EXISTS `eleonline` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
+USE `eleonline`;
 
 CREATE TABLE `soraldo_access` (
   `access_id` int(10) NOT NULL,
   `access_title` varchar(20) DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
---
--- Dump dei dati per la tabella `soraldo_access`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 INSERT INTO `soraldo_access` (`access_id`, `access_title`) VALUES
@@ -43,10 +22,4 @@
 (64, 'Amministratore Unico'),
 (256, 'Superuser');
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_authors`
---
 
 CREATE TABLE `soraldo_authors` (
@@ -61,18 +34,8 @@
   `adminsuper` tinyint(2) NOT NULL DEFAULT 0,
   `admlanguage` varchar(30) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
---
--- Dump dei dati per la tabella `soraldo_authors`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 INSERT INTO `soraldo_authors` (`aid`, `name`, `id_comune`, `email`, `pwd`, `counter`, `adminop`, `admincomune`, `adminsuper`, `admlanguage`) VALUES
-('suser', 'suser', 0, 'test@', '098f6bcd4621d373cade4e832627b4f6', 1, 0, 0, 1, 'it');
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_config`
---
+('suser', 'suser', 0, 'test@eleonline.it', '098f6bcd4621d373cade4e832627b4f6', 1, 0, 0, 1, 'it');
 
 CREATE TABLE `soraldo_config` (
@@ -102,18 +65,8 @@
   `tema_on` enum('0','1') NOT NULL DEFAULT '1',
   `ed_user` varchar(25) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
---
--- Dump dei dati per la tabella `soraldo_config`
---
-
-INSERT INTO `soraldo_config` (`sitename`, `siteurl`, `site_logo`, `slogan`, `startdate`, `adminmail`, `tema`, `foot`, `language`, `blocco`, `testata`, `nome_testata`, `fileout`, `copyright`, `Versione`, `patch`, `siteistat`, `multicomune`, `flash`, `displayerrors`, `gkey`, `googlemaps`, `editor`, `tema_on`, `ed_user`) VALUES
-('', 'https://www.eleonline.it', '', 'Sito istituzionale', 'Maggio 2022', 'admin@localhost', 'facebook', '<b>Comune di Test</b><br>\r\nvia  - \r\nTel:  Fax: \r\n<hr>', 'it', '1', '', '', '', 'Gpl v3', 2, 0, 84023, '1', '0', '0', '', '0', '1', '1', 'Admin');
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_doc_cons`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
+
+INSERT INTO `soraldo_config` (`sitename`, `siteurl`, `site_logo`, `slogan`, `startdate`, `adminmail`, `tema`, `foot`, `language`, `blocco`, `testata`, `nome_testata`, `fileout`, `copyright`, `versione`, `patch`, `siteistat`, `multicomune`, `flash`, `displayerrors`, `gkey`, `googlemaps`, `editor`, `tema_on`, `ed_user`) VALUES
+('Elezioni On Line', 'http://localhost/ele3/trunk/client', '', 'Sito istituzionale', 'March 2023', 'test@eleonline.it', 'default', '', 'it', '1', '', '', '', 'Gpl v3', 3, 0, 58047, '0', '0', '0', '', '0', '1', '1', 'Admin');
 
 CREATE TABLE `soraldo_doc_cons` (
@@ -121,11 +74,5 @@
   `id_doc` int(11) NOT NULL DEFAULT 0,
   `tabella` varchar(25) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_candidati`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_candidati` (
@@ -139,11 +86,5 @@
   `simbolo` varchar(30) NOT NULL DEFAULT '',
   `num_cand` int(7) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_circoscrizione`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_circoscrizione` (
@@ -152,11 +93,5 @@
   `num_circ` int(7) NOT NULL DEFAULT 0,
   `descrizione` mediumtext DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_collegi`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_collegi` (
@@ -164,26 +99,14 @@
   `id_cons_gen` int(11) NOT NULL DEFAULT 0,
   `descrizione` mediumtext DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_come`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_come` (
   `id_cons` int(11) NOT NULL DEFAULT 0,
   `mid` int(7) NOT NULL,
-  `title` varchar(150) NOT NULL DEFAULT '',
-  `preamble` mediumtext NOT NULL,
-  `content` mediumtext NOT NULL,
-  `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_comuni`
---
+  `title` varchar(150) NOT NULL DEFAULT ' ',
+  `preamble` text DEFAULT NULL,
+  `content` text DEFAULT NULL,
+  `editimage` varchar(100) NOT NULL DEFAULT ' '
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_comuni` (
@@ -200,11 +123,8 @@
   `id_cons` int(11) DEFAULT 0,
   `cap` mediumtext DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_comu_collegi`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
+
+INSERT INTO `soraldo_ele_comuni` (`id_comune`, `descrizione`, `indirizzo`, `centralino`, `fax`, `email`, `fascia`, `capoluogo`, `simbolo`, `stemma`, `id_cons`, `cap`) VALUES
+(58047, 'Guidonia', '', '', '', '', 5, '0', '', '', 0, '');
 
 CREATE TABLE `soraldo_ele_comu_collegi` (
@@ -213,11 +133,5 @@
   `id_comune` int(11) NOT NULL DEFAULT 0,
   `id_cons_gen` int(11) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_conf`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_conf` (
@@ -240,9 +154,5 @@
   `supfisso` enum('0','1') NOT NULL DEFAULT '0',
   `fascia_capoluogo` int(2) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
---
--- Dump dei dati per la tabella `soraldo_ele_conf`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`, `votolista`, `inffisso`, `supfisso`, `fascia_capoluogo`) VALUES
@@ -250,14 +160,8 @@
 (2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
 (3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0', '0', '0', '0', 7),
-(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1', '0', '0', '0', 7),
+(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1', '0', '1', '0', 7),
 (5, 'Legge Italiana 267/2000 con riduzione 2011', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7),
 (6, 'Legge Italiana 267/2000 con riduzione 2012', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7),
 (7, 'Legge Italiana 267/2000 con modifiche 2014', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6);
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_consultazione`
---
 
 CREATE TABLE `soraldo_ele_consultazione` (
@@ -267,11 +171,5 @@
   `data_fine` date DEFAULT NULL,
   `tipo_cons` int(7) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_cons_comune`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_cons_comune` (
@@ -287,11 +185,5 @@
   `solo_gruppo` enum('0','1') DEFAULT '0',
   `disgiunto` enum('0','1') NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_controlli`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_controlli` (
@@ -300,11 +192,5 @@
   `tipo` varchar(10) NOT NULL,
   `id` int(11) NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_documenti`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_documenti` (
@@ -313,11 +199,5 @@
   `nomedoc` varchar(25) NOT NULL DEFAULT '',
   `filedoc` blob NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_fasce`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_fasce` (
@@ -326,9 +206,5 @@
   `seggi` int(4) NOT NULL,
   `id_conf` int(11) DEFAULT 1
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
---
--- Dump dei dati per la tabella `soraldo_ele_fasce`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 INSERT INTO `soraldo_ele_fasce` (`id_fascia`, `abitanti`, `seggi`, `id_conf`) VALUES
@@ -401,10 +277,4 @@
 (9, 100000000, 48, 7);
 
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_gruppo`
---
-
 CREATE TABLE `soraldo_ele_gruppo` (
   `id_cons` int(11) NOT NULL DEFAULT 0,
@@ -418,26 +288,14 @@
   `prognome` mediumtext DEFAULT NULL,
   `programma` mediumblob DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_link`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_link` (
   `id_cons` int(11) NOT NULL DEFAULT 0,
   `mid` int(7) NOT NULL,
-  `title` varchar(150) NOT NULL DEFAULT '',
-  `preamble` mediumtext NOT NULL,
-  `content` mediumtext NOT NULL,
-  `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_lista`
---
+  `title` varchar(150) NOT NULL DEFAULT ' ',
+  `preamble` text DEFAULT NULL,
+  `content` text DEFAULT NULL,
+  `editimage` varchar(100) NOT NULL DEFAULT ' '
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_lista` (
@@ -452,11 +310,5 @@
   `simbolo` mediumtext DEFAULT NULL,
   `stemma` blob DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_log`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_log` (
@@ -469,11 +321,5 @@
   `log_a` mediumtext DEFAULT NULL,
   `tabella` varchar(30) DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_modelli`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_modelli` (
@@ -481,11 +327,5 @@
   `categoria` varchar(20) NOT NULL DEFAULT '',
   `modello` blob NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_numeri`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_numeri` (
@@ -496,11 +336,5 @@
   `content` mediumtext NOT NULL,
   `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_operatori`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_operatori` (
@@ -512,45 +346,21 @@
   `id_circ` int(11) NOT NULL DEFAULT 0,
   `id_sez` int(11) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_province`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_province` (
   `id` tinyint(11) NOT NULL DEFAULT 0,
   `descrizione` varchar(30) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_regioni`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_regioni` (
   `id` int(11) NOT NULL DEFAULT 0,
   `descrizione` varchar(25) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_rilaff`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_rilaff` (
   `id_cons_gen` int(11) NOT NULL DEFAULT 0,
   `orario` time NOT NULL DEFAULT '00:00:00',
-  `data` date NOT NULL DEFAULT '0000-00-00'
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_sede`
---
+  `data` date NOT NULL DEFAULT '1900-01-01'
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_sede` (
@@ -565,26 +375,14 @@
   `mappa` mediumblob NOT NULL,
   `filemappa` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_servizi`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_servizi` (
   `id_cons` int(11) NOT NULL DEFAULT 0,
   `mid` int(7) NOT NULL,
-  `title` varchar(150) NOT NULL DEFAULT '',
-  `preamble` mediumtext NOT NULL,
-  `content` mediumtext NOT NULL,
-  `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_sezioni`
---
+  `title` varchar(150) NOT NULL DEFAULT ' ',
+  `preamble` text DEFAULT NULL,
+  `content` text DEFAULT NULL,
+  `editimage` varchar(100) NOT NULL DEFAULT ' '
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_sezioni` (
@@ -607,23 +405,11 @@
   `voti_nulli_lista` int(7) NOT NULL DEFAULT 0,
   `solo_lista` int(7) NOT NULL DEFAULT 0,
-  `colore` varchar(50) DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_temi`
---
+  `colore` varchar(50) DEFAULT '#FAFAD2'
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_temi` (
   `id` int(11) NOT NULL,
   `tema` varchar(20) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_tipo`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_tipo` (
@@ -636,9 +422,5 @@
   `voto_c` enum('0','1') NOT NULL DEFAULT '0',
   `circo` enum('0','1') NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
---
--- Dump dei dati per la tabella `soraldo_ele_tipo`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 INSERT INTO `soraldo_ele_tipo` (`tipo_cons`, `descrizione`, `lingua`, `genere`, `voto_g`, `voto_l`, `voto_c`, `circo`) VALUES
@@ -663,10 +445,4 @@
 (19, 'SENATO - Rosatellum 2.0', 'it', 5, '0', '0', '1', '0');
 
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_voti_candidati`
---
-
 CREATE TABLE `soraldo_ele_voti_candidati` (
   `id_cons` int(11) NOT NULL DEFAULT 0,
@@ -675,11 +451,5 @@
   `num_cand` int(2) UNSIGNED NOT NULL,
   `voti` int(7) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_voti_gruppo`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_voti_gruppo` (
@@ -690,11 +460,5 @@
   `voti` int(7) NOT NULL DEFAULT 0,
   `solo_gruppo` int(7) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_voti_lista`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_voti_lista` (
@@ -706,11 +470,5 @@
   `nulli_lista` int(7) NOT NULL DEFAULT 0,
   `solo_lista` int(7) DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_voti_parziale`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_voti_parziale` (
@@ -719,16 +477,10 @@
   `id_parz` int(11) NOT NULL,
   `orario` time NOT NULL DEFAULT '00:00:00',
-  `data` date NOT NULL DEFAULT '0000-00-00',
+  `data` date NOT NULL DEFAULT '1900-01-01',
   `voti_uomini` int(7) NOT NULL DEFAULT 0,
   `voti_donne` int(7) NOT NULL DEFAULT 0,
   `voti_complessivi` int(7) NOT NULL DEFAULT 0,
   `id_gruppo` int(11) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_voti_ref`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_voti_ref` (
@@ -743,11 +495,5 @@
   `bianchi` int(7) DEFAULT 0,
   `contestati` int(7) DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_widget`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 CREATE TABLE `soraldo_ele_widget` (
@@ -758,9 +504,5 @@
   `pos_ver` int(3) NOT NULL DEFAULT 0,
   `attivo` int(1) NOT NULL DEFAULT 0
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-
---
--- Dump dei dati per la tabella `soraldo_ele_widget`
---
+) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 
 INSERT INTO `soraldo_ele_widget` (`id`, `nome_file`, `titolo`, `pos_or`, `pos_ver`, `attivo`) VALUES
@@ -780,30 +522,15 @@
 (14, 'cookie_law.php', 'cookie_law.php', 1, 0, 0);
 
---
--- Indici per le tabelle scaricate
---
-
---
--- Indici per le tabelle `soraldo_access`
---
+
 ALTER TABLE `soraldo_access`
   ADD PRIMARY KEY (`access_id`);
 
---
--- Indici per le tabelle `soraldo_authors`
---
 ALTER TABLE `soraldo_authors`
   ADD PRIMARY KEY (`aid`,`id_comune`),
   ADD KEY `aid` (`aid`);
 
---
--- Indici per le tabelle `soraldo_doc_cons`
---
 ALTER TABLE `soraldo_doc_cons`
   ADD KEY `id_cons` (`id_cons`,`id_doc`);
 
---
--- Indici per le tabelle `soraldo_ele_candidati`
---
 ALTER TABLE `soraldo_ele_candidati`
   ADD PRIMARY KEY (`id_cand`) USING BTREE,
@@ -811,34 +538,19 @@
   ADD KEY `id_cons` (`id_cons`,`id_lista`) USING BTREE;
 
---
--- Indici per le tabelle `soraldo_ele_circoscrizione`
---
 ALTER TABLE `soraldo_ele_circoscrizione`
   ADD UNIQUE KEY `id_circ` (`id_circ`),
   ADD UNIQUE KEY `id_cons` (`id_cons`,`num_circ`);
 
---
--- Indici per le tabelle `soraldo_ele_collegi`
---
 ALTER TABLE `soraldo_ele_collegi`
   ADD PRIMARY KEY (`id_collegio`),
   ADD KEY `id_cons_gen` (`id_cons_gen`);
 
---
--- Indici per le tabelle `soraldo_ele_come`
---
 ALTER TABLE `soraldo_ele_come`
   ADD UNIQUE KEY `mid` (`mid`);
 
---
--- Indici per le tabelle `soraldo_ele_comuni`
---
 ALTER TABLE `soraldo_ele_comuni`
   ADD PRIMARY KEY (`id_comune`),
   ADD KEY `access_id` (`descrizione`);
 
---
--- Indici per le tabelle `soraldo_ele_comu_collegi`
---
 ALTER TABLE `soraldo_ele_comu_collegi`
   ADD PRIMARY KEY (`id_cons_gen`,`id_comune`),
@@ -846,59 +558,32 @@
   ADD KEY `id_collegio` (`id_collegio`);
 
---
--- Indici per le tabelle `soraldo_ele_conf`
---
 ALTER TABLE `soraldo_ele_conf`
   ADD PRIMARY KEY (`id_conf`);
 
---
--- Indici per le tabelle `soraldo_ele_consultazione`
---
 ALTER TABLE `soraldo_ele_consultazione`
   ADD PRIMARY KEY (`id_cons_gen`),
   ADD UNIQUE KEY `descrizione` (`descrizione`(100));
 
---
--- Indici per le tabelle `soraldo_ele_cons_comune`
---
 ALTER TABLE `soraldo_ele_cons_comune`
   ADD PRIMARY KEY (`id_cons`),
   ADD UNIQUE KEY `comune` (`id_comune`,`id_cons_gen`);
 
---
--- Indici per le tabelle `soraldo_ele_controlli`
---
 ALTER TABLE `soraldo_ele_controlli`
   ADD KEY `sezione` (`id_sez`);
 
---
--- Indici per le tabelle `soraldo_ele_documenti`
---
 ALTER TABLE `soraldo_ele_documenti`
   ADD PRIMARY KEY (`id_doc`),
   ADD KEY `descrizione` (`descrizione`);
 
---
--- Indici per le tabelle `soraldo_ele_fasce`
---
 ALTER TABLE `soraldo_ele_fasce`
   ADD KEY `id_fascia` (`id_fascia`);
 
---
--- Indici per le tabelle `soraldo_ele_gruppo`
---
 ALTER TABLE `soraldo_ele_gruppo`
   ADD PRIMARY KEY (`id_gruppo`) USING BTREE,
   ADD KEY `id_cons` (`id_cons`,`id_circ`) USING BTREE;
 
---
--- Indici per le tabelle `soraldo_ele_link`
---
 ALTER TABLE `soraldo_ele_link`
   ADD PRIMARY KEY (`mid`);
 
---
--- Indici per le tabelle `soraldo_ele_lista`
---
 ALTER TABLE `soraldo_ele_lista`
   ADD PRIMARY KEY (`id_lista`) USING BTREE,
@@ -906,20 +591,11 @@
   ADD KEY `id_cons` (`id_cons`,`id_gruppo`) USING BTREE;
 
---
--- Indici per le tabelle `soraldo_ele_modelli`
---
 ALTER TABLE `soraldo_ele_modelli`
   ADD KEY `access_id` (`id_cons`);
 
---
--- Indici per le tabelle `soraldo_ele_numeri`
---
 ALTER TABLE `soraldo_ele_numeri`
   ADD PRIMARY KEY (`mid`),
   ADD KEY `id_cons` (`id_cons`);
 
---
--- Indici per le tabelle `soraldo_ele_operatori`
---
 ALTER TABLE `soraldo_ele_operatori`
   ADD UNIQUE KEY `id_cons_aid` (`id_cons`,`aid`,`id_comune`),
@@ -927,20 +603,11 @@
   ADD KEY `id_sede` (`id_sede`);
 
---
--- Indici per le tabelle `soraldo_ele_regioni`
---
 ALTER TABLE `soraldo_ele_regioni`
   ADD PRIMARY KEY (`id`),
   ADD KEY `descrizione` (`descrizione`);
 
---
--- Indici per le tabelle `soraldo_ele_rilaff`
---
 ALTER TABLE `soraldo_ele_rilaff`
   ADD KEY `id_cons_gen` (`id_cons_gen`);
 
---
--- Indici per le tabelle `soraldo_ele_sede`
---
 ALTER TABLE `soraldo_ele_sede`
   ADD PRIMARY KEY (`id_sede`),
@@ -948,34 +615,19 @@
   ADD KEY `id_circ` (`id_circ`);
 
---
--- Indici per le tabelle `soraldo_ele_servizi`
---
 ALTER TABLE `soraldo_ele_servizi`
   ADD PRIMARY KEY (`mid`),
   ADD KEY `id_cons` (`id_cons`);
 
---
--- Indici per le tabelle `soraldo_ele_sezioni`
---
 ALTER TABLE `soraldo_ele_sezioni`
   ADD UNIQUE KEY `id_sezi` (`id_sez`),
-  ADD KEY `id_cons` (`id_cons`),
+  ADD UNIQUE KEY `id_cons` (`id_cons`,`num_sez`) USING BTREE,
   ADD KEY `id_sede` (`id_sede`);
 
---
--- Indici per le tabelle `soraldo_ele_temi`
---
 ALTER TABLE `soraldo_ele_temi`
   ADD PRIMARY KEY (`id`);
 
---
--- Indici per le tabelle `soraldo_ele_tipo`
---
 ALTER TABLE `soraldo_ele_tipo`
   ADD PRIMARY KEY (`tipo_cons`);
 
---
--- Indici per le tabelle `soraldo_ele_voti_candidati`
---
 ALTER TABLE `soraldo_ele_voti_candidati`
   ADD KEY `id_sez` (`id_sez`),
@@ -983,7 +635,4 @@
   ADD KEY `id_cons` (`id_cons`,`id_sez`,`id_cand`) USING BTREE;
 
---
--- Indici per le tabelle `soraldo_ele_voti_gruppo`
---
 ALTER TABLE `soraldo_ele_voti_gruppo`
   ADD KEY `id_gruppo` (`id_gruppo`),
@@ -991,7 +640,4 @@
   ADD KEY `id_cons` (`id_cons`,`id_sez`,`id_gruppo`) USING BTREE;
 
---
--- Indici per le tabelle `soraldo_ele_voti_lista`
---
 ALTER TABLE `soraldo_ele_voti_lista`
   ADD KEY `id_lista` (`id_lista`),
@@ -999,7 +645,4 @@
   ADD KEY `id_cons` (`id_cons`,`id_sez`,`id_lista`) USING BTREE;
 
---
--- Indici per le tabelle `soraldo_ele_voti_parziale`
---
 ALTER TABLE `soraldo_ele_voti_parziale`
   ADD PRIMARY KEY (`id_parz`),
@@ -1008,7 +651,4 @@
   ADD KEY `id_gruppo` (`id_gruppo`);
 
---
--- Indici per le tabelle `soraldo_ele_voti_ref`
---
 ALTER TABLE `soraldo_ele_voti_ref`
   ADD KEY `id_gruppo` (`id_gruppo`),
@@ -1016,121 +656,61 @@
   ADD KEY `id_cons` (`id_cons`,`id_gruppo`) USING BTREE;
 
---
--- Indici per le tabelle `soraldo_ele_widget`
---
 ALTER TABLE `soraldo_ele_widget`
   ADD PRIMARY KEY (`id`);
 
---
--- AUTO_INCREMENT per le tabelle scaricate
---
-
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_candidati`
---
+
 ALTER TABLE `soraldo_ele_candidati`
   MODIFY `id_cand` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_circoscrizione`
---
 ALTER TABLE `soraldo_ele_circoscrizione`
   MODIFY `id_circ` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_collegi`
---
 ALTER TABLE `soraldo_ele_collegi`
   MODIFY `id_collegio` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_come`
---
 ALTER TABLE `soraldo_ele_come`
   MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_conf`
---
 ALTER TABLE `soraldo_ele_conf`
   MODIFY `id_conf` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_consultazione`
---
 ALTER TABLE `soraldo_ele_consultazione`
   MODIFY `id_cons_gen` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_cons_comune`
---
 ALTER TABLE `soraldo_ele_cons_comune`
   MODIFY `id_cons` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_documenti`
---
 ALTER TABLE `soraldo_ele_documenti`
   MODIFY `id_doc` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_gruppo`
---
 ALTER TABLE `soraldo_ele_gruppo`
   MODIFY `id_gruppo` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_link`
---
 ALTER TABLE `soraldo_ele_link`
   MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_lista`
---
 ALTER TABLE `soraldo_ele_lista`
   MODIFY `id_lista` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_numeri`
---
 ALTER TABLE `soraldo_ele_numeri`
   MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_sede`
---
 ALTER TABLE `soraldo_ele_sede`
   MODIFY `id_sede` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_servizi`
---
 ALTER TABLE `soraldo_ele_servizi`
   MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_sezioni`
---
 ALTER TABLE `soraldo_ele_sezioni`
   MODIFY `id_sez` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_temi`
---
 ALTER TABLE `soraldo_ele_temi`
   MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_voti_parziale`
---
 ALTER TABLE `soraldo_ele_voti_parziale`
   MODIFY `id_parz` int(11) NOT NULL AUTO_INCREMENT;
 
---
--- AUTO_INCREMENT per la tabella `soraldo_ele_widget`
---
 ALTER TABLE `soraldo_ele_widget`
-  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;
+  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
 COMMIT;
 