Index: /trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 394)
+++ /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 395)
@@ -44,4 +44,5 @@
 if (isset($param['delsimb'])) $delsimb=addslashes($param['delsimb']);
 if (isset($param['delprog'])) $delprog=addslashes($param['delprog']);
+
 /******************************************************/
 /*Funzione di visualizzazione globale                 */
@@ -237,7 +238,29 @@
       			if ($descr_gruppo) {
 				$stemmablob='';
-				$stemmanome='';
+				$stemmanome='';			
 				$STEMM=$_FILES['stemma'];
 				$filestemma=$STEMM['tmp_name'];
+				#### Controllo della dimensione del file immagine
+				$lungh=filesize($filestemma);
+				if($lungh>60000){
+					$exploded = explode('.',$filestemma);
+					$allowedTypes = array(IMAGETYPE_PNG, IMAGETYPE_JPEG, IMAGETYPE_GIF);
+					$ext = exif_imagetype($filestemma);
+					if ($ext==1)
+						$imageTmp=imagecreatefromgif($filestemma);
+					elseif ($ext==2)
+						$imageTmp=imagecreatefromjpeg($filestemma);
+					elseif ($ext==3)
+						$imageTmp=imagecreatefrompng($filestemma);
+					elseif ($ext==6)
+						$imageTmp=imagecreatefrombmp($filestemma);
+					$x=100;$y=10;
+					while(filesize($filestemma)>60000 and $x>0){
+						imagejpeg($imageTmp, $filestemma, $x);
+						$x=$x-$y;
+					}
+					imagedestroy($imageTmp);
+				}
+				####	
 				$nomestemma=$STEMM['name'];
 				if ($filestemma){
@@ -297,4 +320,26 @@
 			$STEMM=$_FILES['stemma'];
 			$filestemma=$STEMM['tmp_name'];
+			#### Controllo della dimensione del file immagine
+			$lungh=filesize($filestemma);
+			if($lungh>60000){
+				$exploded = explode('.',$filestemma);
+				$allowedTypes = array(IMAGETYPE_PNG, IMAGETYPE_JPEG, IMAGETYPE_GIF);
+				$ext = exif_imagetype($filestemma);
+				if ($ext==1)
+					$imageTmp=imagecreatefromgif($filestemma);
+				elseif ($ext==2)
+					$imageTmp=imagecreatefromjpeg($filestemma);
+				elseif ($ext==3)
+					$imageTmp=imagecreatefrompng($filestemma);
+				elseif ($ext==6)
+					$imageTmp=imagecreatefrombmp($filestemma);
+				$x=100;$y=10;
+				while(filesize($filestemma)>60000 and $x>0){
+					imagejpeg($imageTmp, $filestemma, $x);
+					$x=$x-$y;
+				}
+				imagedestroy($imageTmp);
+			}
+			####	
 			$nomestemma=$STEMM['name'];
 			if ($filestemma){
Index: /trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_lista.php	(revision 394)
+++ /trunk/admin/modules/Elezioni/ele_lista.php	(revision 395)
@@ -243,4 +243,26 @@
 				$STEMM=$_FILES['stemma'];
 				$filestemma=$STEMM['tmp_name'];
+				#### Controllo della dimensione del file immagine
+				$lungh=filesize($filestemma);
+				if($lungh>60000){
+					$exploded = explode('.',$filestemma);
+					$allowedTypes = array(IMAGETYPE_PNG, IMAGETYPE_JPEG, IMAGETYPE_GIF);
+					$ext = exif_imagetype($filestemma);
+					if ($ext==1)
+						$imageTmp=imagecreatefromgif($filestemma);
+					elseif ($ext==2)
+						$imageTmp=imagecreatefromjpeg($filestemma);
+					elseif ($ext==3)
+						$imageTmp=imagecreatefrompng($filestemma);
+					elseif ($ext==6)
+						$imageTmp=imagecreatefrombmp($filestemma);
+					$x=100;$y=10;
+					while(filesize($filestemma)>60000 and $x>0){
+						imagejpeg($imageTmp, $filestemma, $x);
+						$x=$x-$y;
+					}
+					imagedestroy($imageTmp);
+				}
+				####	
 				$nomestemma=$STEMM['name'];
 				$sqlset='';
@@ -267,4 +289,26 @@
 			$STEMM=$_FILES['stemma'];
 			$filestemma=$STEMM['tmp_name'];
+			#### Controllo della dimensione del file immagine
+			$lungh=filesize($filestemma);
+			if($lungh>60000){
+				$exploded = explode('.',$filestemma);
+				$allowedTypes = array(IMAGETYPE_PNG, IMAGETYPE_JPEG, IMAGETYPE_GIF);
+				$ext = exif_imagetype($filestemma);
+				if ($ext==1)
+					$imageTmp=imagecreatefromgif($filestemma);
+				elseif ($ext==2)
+					$imageTmp=imagecreatefromjpeg($filestemma);
+				elseif ($ext==3)
+					$imageTmp=imagecreatefrompng($filestemma);
+				elseif ($ext==6)
+					$imageTmp=imagecreatefrombmp($filestemma);
+				$x=100;$y=10;
+				while(filesize($filestemma)>60000 and $x>0){
+					imagejpeg($imageTmp, $filestemma, $x);
+					$x=$x-$y;
+				}
+				imagedestroy($imageTmp);
+			}
+			####	
 			$nomestemma=$STEMM['name'];
 			$sqlset='';
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 394)
+++ /trunk/admin/versione.php	(revision 395)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 394";
+$versione = "3.0 rev 395";
 $version_number = $versione;
-$datarel = "21 maggio 2023";
+$datarel = "22 maggio 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 394)
+++ /trunk/client/versione.php	(revision 395)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 394";
+$versione = "3.0 rev 395";
 $version_number = $versione;
-$datarel = "21 maggio 2023";
+$datarel = "22 maggio 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 