Index: /trunk/admin/admin.php
===================================================================
--- /trunk/admin/admin.php	(revision 396)
+++ /trunk/admin/admin.php	(revision 397)
@@ -531,6 +531,15 @@
 	if(isset($id_cons)) {
 		$sql="SELECT id_sez FROM ".$prefix."_ele_operatori where id_sez>0 and aid='$aid' and id_comune=$id_comune";
-		$resmod = $dbi->prepare("$sql");
-		$resmod->execute();				
+		try {
+			$resmod = $dbi->prepare("$sql");
+			$resmod->execute();
+		}catch(PDOException $e)
+		{
+#			echo "Viene eseguito un aggiornamento forzato del db<br>";
+			$_SESSION['forzadb']=1;
+			include("modules/Elezioni/aggiornamento.php");
+
+			die();
+		}
 		list($id_sez) = $resmod->fetch(PDO::FETCH_NUM); #die("qui:$id_sez:$sql");
 		if($id_sez) { 
Index: /trunk/admin/modules/Elezioni/aggiornamento.php
===================================================================
--- /trunk/admin/modules/Elezioni/aggiornamento.php	(revision 396)
+++ /trunk/admin/modules/Elezioni/aggiornamento.php	(revision 397)
@@ -19,5 +19,5 @@
 $id_comune=$_SESSION['id_comune'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
-$id_cons_gen=intval($param['id_cons_gen']);	
+if(isset($param['id_cons_gen'])) $id_cons_gen=intval($param['id_cons_gen']); else $id_cons_gen=0;
 $perms=ChiSei(0);
 include("modules/Elezioni/ele.php");
@@ -52,4 +52,5 @@
 #$newrev=$_SESSION['remoterev'];
 $myrev=$_SESSION['localrev'];
+if (isset($_SESSION['forzadb'])) $myrev=378;
 if($newrev==$myrev) {
 	$errmex="Non sono disponibili nuovi aggiornamenti";
@@ -112,5 +113,12 @@
 if(!$procedi){
 	ele(); 
-	echo "<hr><br><h2 style=\"text-align:center;\">Revisione installata: $myrev<br>Revisione disponibile: $newrev</h2><br><hr>";
+if (isset($_SESSION['forzadb']))
+	echo "<hr><br><h2 style=\"text-align:center;\">E' necessario riallineare il DB, confermare l'aggiornamento.";	
+else
+	echo "<hr><br><h2 style=\"text-align:center;\">Revisione installata: $myrev";
+echo "<br>Revisione disponibile: $newrev</h2><br><hr>";
+	
+	unset($_SESSION['forzadb']);
+
 #####	
 
Index: /trunk/admin/modules/Elezioni/ele.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele.php	(revision 396)
+++ /trunk/admin/modules/Elezioni/ele.php	(revision 397)
@@ -67,5 +67,5 @@
 
 	global $espandi, $aid, $bgcolor1, $bgcolor2,$bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons, $id_cons_gen,$tipo_cons,$genere,$op,$id_comune,$perms,$id_cons,$votog,$votol,$votoc,$votocirc,$tema,$fascia,$limite;
-	
+
 	include ("header.php");
 #	include("modules/Elezioni/testa.php");
@@ -301,5 +301,5 @@
 
 }
-
+	if(!isset($op)) $op='';
 	switch ($op){
 		case "ele":
Index: /trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 396)
+++ /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 397)
@@ -20,5 +20,5 @@
 	$res->execute();	
 }else{ #candidati
-	$sql="SELECT t1.num_cand FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and t1.id_sez='$id_sez' group by t2.id_lista";
+	$sql="SELECT t1.num_cand FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and t1.id_sez='$id_sez'";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 396)
+++ /trunk/admin/versione.php	(revision 397)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 396";
+$versione = "3.0 rev 397";
 $version_number = $versione;
-$datarel = "10 giugno 2023";
+$datarel = "29 settembre 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/file.php
===================================================================
--- /trunk/client/file.php	(revision 396)
+++ /trunk/client/file.php	(revision 397)
@@ -27,5 +27,5 @@
 
 while(list($id_cons_gen2,$descr) = $res->fetch(PDO::FETCH_NUM)) {
-			echo "<option value=\'$id_cons_gen2\'>$descr</option>";
+			echo "<option value=\'$id_cons_gen2\'>".htmlentities($descr)."</option>";
 		}
 		echo "</select>";
@@ -52,5 +52,5 @@
 
 while(list($id_comune2,$descr) = $res->fetch(PDO::FETCH_NUM)) {
-			echo "<option value=\'$id_comune2\'>$descr</option>";
+			echo "<option value=\'$id_comune2\'>".htmlentities($descr)."</option>";
 		}
 		echo "</select>";
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 396)
+++ /trunk/client/versione.php	(revision 397)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 396";
+$versione = "3.0 rev 397";
 $version_number = $versione;
-$datarel = "10 giugno 2023";
+$datarel = "29 settembre 2023";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 