Index: /trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_lista.php	(revision 398)
+++ /trunk/admin/modules/Elezioni/ele_lista.php	(revision 399)
@@ -225,4 +225,5 @@
 	$result1->execute();						
 	list($num_gruppo)=$result1->fetch(PDO::FETCH_NUM);
+	if (!$num_gruppo) $num_gruppo=0;
 	if ($perms >16) {
 		if ($do == "delete") {
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 398)
+++ /trunk/admin/versione.php	(revision 399)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 398";
+$versione = "3.0 rev 399";
 $version_number = $versione;
-$datarel = "29 settembre 2023";
+$datarel = "21 febbraio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 398)
+++ /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 399)
@@ -66,5 +66,5 @@
 
 			$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-            if ($genere==0){$sql.=" and t3.id_gruppo=$id_gruppo";}
+            if ($genere==0){$sql.=" and t3.id_gruppo='$id_gruppo'";}
 			$res_aff = $dbi->prepare("$sql");
 			$res_aff->execute();
@@ -74,5 +74,5 @@
 			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
 			
-			if ($genere==0){$sql.=" and id_gruppo=$id_gruppo";}
+			if ($genere==0){$sql.=" and id_gruppo='$id_gruppo'";}
 			$res1234 = $dbi->prepare("$sql");
 			$res1234->execute();
Index: /trunk/client/modules/Elezioni/crea_paginaphp5.php
===================================================================
--- /trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 398)
+++ /trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 399)
@@ -72,6 +72,6 @@
 		if ($pdf!="1" && $csv=="1")
 		{		
-			$html .="<center><table><tr><td>
-			<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" align=\"left\" alt=\"logo\" /> ";
+			$html .="<center><table><tr><td align=\"middle\">
+			<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" alt=\"logo\" /> ";
 #			$html .= "</td><td>$datipdf";
 			$html .= "</td></tr></table>";
Index: /trunk/client/modules/Elezioni/crea_paginaphp7.php
===================================================================
--- /trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 398)
+++ /trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 399)
@@ -75,6 +75,6 @@
 		if ($pdf!="1" && $csv=="1")
 		{		
-			$html .="<center><table><tr><td>
-			<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" align=\"left\" alt=\"logo\" /> ";
+			$html .="<center><table><tr><td align=\"left\">
+			<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" alt=\"logo\" /> ";
 #			$html .= "</td><td>$datipdf";
 			$html .= "</td></tr></table>";
Index: /trunk/client/modules/Elezioni/grafici.php
===================================================================
--- /trunk/client/modules/Elezioni/grafici.php	(revision 398)
+++ /trunk/client/modules/Elezioni/grafici.php	(revision 399)
@@ -364,5 +364,5 @@
 
 	if ($circo){
-		$sql="select t1.*  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ";
+		$sql="select t1.id_sez from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 398)
+++ /trunk/client/versione.php	(revision 399)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 398";
+$versione = "3.0 rev 399";
 $version_number = $versione;
-$datarel = "29 settembre 2023";
+$datarel = "21 febbraio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 