Index: trunk/client/modules/Elezioni/affluenze-inc.php
===================================================================
--- trunk/client/modules/Elezioni/affluenze-inc.php	(revision 399)
+++ trunk/client/modules/Elezioni/affluenze-inc.php	(revision 400)
@@ -196,7 +196,7 @@
 #		if(($data==$ultdata) and ($ora==$ultora))
 		{
-			$tot[$data.$ora]="<table style=\"width:180px;\"><tr class=\"bggray2\"><td style=\"width:33%;text-align:center;\">
-			<b>".number_format($votiu,0,',','.')."</b></td><td style=\"width:33%;text-align:center;\">
-			<b>".number_format($votid,0,',','.')."</b></td><td style=\"width:33%;text-align:center;\">
+			$tot[$data.$ora]="<table style=\"width:100%;border:none;\"><tr class=\"bggray2\"><td style=\"width:33%;text-align:center;border:none;\">
+			<b>".number_format($votiu,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;\">
+			<b>".number_format($votid,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;\">
 			<b>".number_format($somma,0,',','.')."</b></td>
 			</tr></table>";
@@ -225,16 +225,16 @@
 		$html .= "<br />"._SEZIONI." $num_scr "._SU." $num_sez";
 ##		if ($ud==$num_ril and ($perc_u or $perc_d)) $html .= "<br />
-		$html .= "<br /><table style=\"width:180px;\"><tr class=\"bggray\">";
+		$html .= "<br /><table style=\"width:100%;border:none;\"><tr class=\"bggray\">";
 		if ((isset($perc_u[$data1.$ora1]) or isset($perc_d[$data1.$ora1])) and ($perc_u[$data1.$ora1]+$perc_d[$data1.$ora1])>0) 
-			$html .= "<th style=\"width:28%;text-align:center;\">"._UOMINI."</th><th style=\"width:28%;text-align:center;\">"._DONNE."</th>";
-		$html .= "<th style=\"width:28%;text-align:center;\">"._COMPLESSIVI."</th></tr></table></td>";
+			$html .= "<th style=\"width:28%;text-align:center;border:none;\">"._UOMINI."</th><th style=\"width:28%;text-align:center;border:none;\">"._DONNE."</th>";
+		$html .= "<th style=\"width:28%;text-align:center;border:none;\">"._COMPLESSIVI."</th></tr></table></td>";
 
 		if (isset($tot[$data1.$ora1])){
 	##		if ($ora_rif=="$data1.$ora1")
 			if (($perc_u[$data1.$ora1] or $perc_d[$data1.$ora1])){
-				$ar['perc'][$data1.$ora1]="<table style=\"width:180px;\"><tr class=\"bggray2\">
-				<td style=\"width:33%;text-align:center;\"><b><i><span class=\"red\">".$perc_u[$data1.$ora1]."%</span></i></b></td>
-				<td style=\"width:33%;text-align:center;\"><b><i><span class=\"red\">".$perc_d[$data1.$ora1]."%</span></i></b></td>
-				<td style=\"width:33%;text-align:center;\" ><span class=\"red\"><b><i>".$perc_c[$data1.$ora1]."%</i></b></span></td>
+				$ar['perc'][$data1.$ora1]="<table style=\"width:100%;border:none;\"><tr class=\"bggray2\">
+				<td style=\"width:33%;text-align:center;border:none;\"><b><i><span class=\"red\">".$perc_u[$data1.$ora1]."%</span></i></b></td>
+				<td style=\"width:33%;text-align:center;border:none;\"><b><i><span class=\"red\">".$perc_d[$data1.$ora1]."%</span></i></b></td>
+				<td style=\"width:33%;text-align:center;border:none;\" ><span class=\"red\"><b><i>".$perc_c[$data1.$ora1]."%</i></b></span></td>
 				</tr></table>";
 				$ar[0][$data1.$ora1]=$tot[$data1.$ora1];
@@ -269,8 +269,8 @@
 	while (list($data,$ora,$numsez,$uomini,$donne,$complessivi) = $resvoti->fetch(PDO::FETCH_NUM)) {
 		if(($uomini+$donne)>0)
-			$ar[$numsez][$data.$ora]="<table style=\"width:180px;\"><tr>
-			<td style=\"width:33%;text-align:center;\">$uomini</td>
-			<td style=\"width:33%;text-align:center;\">$donne</td>
-			<td style=\"width:33%;text-align:center;\">$complessivi</td>
+			$ar[$numsez][$data.$ora]="<table style=\"width:100%;border:none;\"><tr>
+			<td style=\"width:33%;text-align:center;border:none;\">$uomini</td>
+			<td style=\"width:33%;text-align:center;border:none;\">$donne</td>
+			<td style=\"width:33%;text-align:center;border:none;\">$complessivi</td>
 			</tr></table>";
 		else
Index: trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/affluenze.php	(revision 399)
+++ trunk/client/modules/Elezioni/affluenze.php	(revision 400)
Index: trunk/client/modules/Elezioni/blocchi/cookie_law.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/cookie_law.php	(revision 399)
+++ trunk/client/modules/Elezioni/blocchi/cookie_law.php	(revision 400)
@@ -22,9 +22,9 @@
 	#--> configurazione variabili
 	# disabilitare tutte nel caso si proceda all'invio della var $varlaw tramite richiamo alla funzione. es:cookie_law($varlaw); 
-
-	$varlaw["testo"]="Questo sito utilizza limitatamente i cookie per questioni tecniche e di funzionalita"; // testo messaggio
+	global $id_comune,$id_cons_gen,$op,$info;
+	$varlaw["testo"]="Questo sito utilizza limitatamente i cookie per questioni tecniche e di funzionalitÃ "; // testo messaggio
 	$varlaw["continua"]="Accetta"; // testo bottone accettazione
 	$varlaw["info"]="Maggiori info"; // testo bottone info . lasciare vuoto nel caso non si hanno altre info 
-	$varlaw["link"]="#"; // link del doc maggiori info - puo' essere il link anche esterno, o indirizzato ad una pagina html....
+	$varlaw["link"]="modules.php?name=Elezioni&id_comune=$id_comune&file=index&id_cons_gen=$id_cons_gen&op=privacy"; // link del doc maggiori info - puo' essere il link anche esterno, o indirizzato ad una pagina html....
 	$varlaw["colsfondo"]="#ff0000"; // colore sfondo del messaggio
 	$varlaw["coltesto"]="#ffffff"; // colore testo del messaggio
@@ -36,7 +36,8 @@
 	# preleva la var per la registrazione del cookie
 	$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
-	if (isset($param['c_law'])) $c_law=addslashes($param['c_law']); else $c_law='';
-	$url_law=$_SERVER['REQUEST_URI']; // url della pagina per il reload	
-
+	if (isset($param['c_law'])) $c_law=htmlentities($param['c_law']); else $c_law='';
+#	$url_law=$_SERVER['REQUEST_URI']; // url della pagina per il reload	
+	$url_law="modules.php?name=Elezioni&id_comune=$id_comune&file=index&id_cons_gen=$id_cons_gen&op=$op"; // url della pagina per il reload	
+if($info) $url_law.="&info=$info";
 	# verifica e scrive il cookie di avvenuto avviso	
 	if($c_law=="ok"){ 
@@ -58,5 +59,12 @@
 			   </td>
 			   <td style=\"text-align:center;border:none;color:".$varlaw['coltesto']."\">  
-				<form method=\"post\" name=\"ok\" action=\"\">		
+				<form method=\"post\" data-ajax=\"false\" name=\"ok\" action=\"\">
+                                <input type=\"hidden\" name=\"file\" value=\"index\">
+                                <input type=\"hidden\" name=\"name\" value=\"Elezioni\">
+                                <input type=\"hidden\" name=\"op\" value=\"$op\">
+                                <input type=\"hidden\" name=\"info\" value=\"$info\">
+                                <input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">
+                                <input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">
+
 				<input type=\"hidden\" name=\"c_law\" value=\"ok\">
 				<input type=\"submit\" value=\"".$varlaw['continua']."\">
@@ -64,7 +72,13 @@
 			if($varlaw['info']!=''){
 				echo "	</td><td style=\"text-align:center;border:none;\">
-				<form method=\"post\"  name=\"info\" action=\"".$varlaw['link']."  \">
+				<form method=\"get\" data-ajax=\"false\" name=\"info\" action=\"".$varlaw['link']."\">
+				<input type=\"hidden\" name=\"file\" value=\"index\">
+				<input type=\"hidden\" name=\"name\" value=\"Elezioni\">
+				<input type=\"hidden\" name=\"op\" value=\"privacy\">
+                                <input type=\"hidden\" name=\"info\" value=\"$info\">
+				<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">
+				<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">
 				<input type=\"submit\" value=\"".$varlaw['info']."  \">
-				</form></form>";
+				</form>";
 			}
 		echo " 	</td></tr></table>
@@ -77,9 +91,15 @@
 #--> Blocco per eleonline
 echo "<h5>Privacy</h5>";
+global $id_comune,$id_cons_gen,$op,$info;
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
 if (isset($param['c_law'])) $c_law=addslashes($param['c_law']); else $c_law='';
-$url_law=$_SERVER['REQUEST_URI']; // url della pagina per il reload
-
-
+if (isset($param['info'])) $info=htmlentities($param['info']); 
+#if (isset($param['id_comune'])) $id_comune=intval($param['id_comune']);  else $id_comune=-1; #$c_law='';
+$url_law="modules.php?file=index&name=Elezioni&op=$op&id_comune=$id_comune&id_cons_gen=$id_cons_gen"; #$_SERVER['REQUEST_URI']; // url della pagina per il reload
+if($_SESSION['info']) 
+	{
+	$info=$_SESSION['info'];
+	$url_law.="&info=".$_SESSION['info'];
+	}
 if($c_law=="ko"){ // azzera i cookie 
 	
@@ -89,5 +109,12 @@
 
 echo"<div style=\"text-align:center;\">
-	<form method=\"post\" name=\"ko\" action=\"\">		
+	<form method=\"get\" data-ajax=\"false\" name=\"ko\" action=\"modules.php\">		
+	<input type=\"hidden\" name=\"c_law\" value=\"ko\">
+        <input type=\"hidden\" name=\"file\" value=\"index\">
+        <input type=\"hidden\" name=\"name\" value=\"Elezioni\">
+        <input type=\"hidden\" name=\"op\" value=\"$op\">
+        <input type=\"hidden\" name=\"info\" value=\"$info\">
+        <input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">
+        <input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">
 	<input type=\"hidden\" name=\"c_law\" value=\"ko\">
 	<input type=\"submit\" value=\"Informazione sulla Privacy\">
Index: trunk/client/modules/Elezioni/blocchi/pie_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 399)
+++ trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 400)
@@ -91,5 +91,5 @@
 				&chco=ff0000,ffff00 \"
 				alt=\"Sample chart\" />
-				 <a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a>
+				<br/> <a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a>
 				</center>";
 
Index: trunk/client/modules/Elezioni/blocchi/privacy/config.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/privacy/config.php	(revision 399)
+++ trunk/client/modules/Elezioni/blocchi/privacy/config.php	(revision 400)
@@ -1,36 +1,32 @@
 <?php
 # configurazione blocco privacy
-$url=$_SERVER['REQUEST_URI']; // url della pagina per il reload
+# $url=$_SERVER['REQUEST_URI']; // url della pagina per il reload#
 
 #### modifica le variabili
 $js_law=''; // 1= uso con javascript e 0= senza javascript
-$scegli_info=''; // scelta dell'informativa da proporre
+# $scegli_info=''; // scelta dell'informativa da proporre
 
-switch ($scegli_info) {
+global $name, $id_comune, $id_cons_gen;
+
+$base_url = ( isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=='on' ? 'https' : 'http' ) . '://' .  $_SERVER['HTTP_HOST'] . $_SERVER["REQUEST_URI"];
+#if (isset($_GET['name']) && isset($_GET['id_comune']) && isset($_GET['id_cons_gen']) && $_GET['name'] && $_GET['id_comune'] && $_GET['id_cons_gen']) {
 	
-	# esempi
-	case "00101": // Informativa privacy 
-		$informativa="http://www.example.com/privacy_comune_00101";
-		break;
-	case "00102": // Informativa privacy in formato HTML, salvata nella cartella "privacy" dei widget
-		$informativa="modules/Elezioni/blocchi/privacy/privacy.html";
-		break;
-	case "00103": // Informativa privacy in formato PDF, salvata nella cartella "privacy" dei widget
-		$informativa="modules/Elezioni/blocchi/privacy/privacy.pdf";
-		break;
-	default: // Default per inserimento all'interno della grafica (per modifiche file privacy_ele.html)
-		$informativa="$url&op=privacy";
-	}
+$informativa = parse_url($base_url, PHP_URL_SCHEME) . "://" . parse_url($base_url, PHP_URL_HOST) . parse_url($base_url, PHP_URL_PATH) . "?op=privacy&name=$name&id_comune=$id_comune&id_cons_gen=$id_cons_gen";
+#}
+#else {
+#	$informativa = parse_url($base_url, PHP_URL_SCHEME) . "://" . parse_url($base_url, PHP_URL_HOST) . parse_url($base_url, PHP_URL_PATH) . "?op=privacy&name=Elezioni";
+
+#}
 
 /* Variabili formattazione del blocco di informativa senza javascript */
 
-	$varlaw=array();
-	$varlaw["testo"]="Questo sito utilizza limitatamente i cookie per questioni tecniche e di funzionalita"; // testo messaggio
-	$varlaw["continua"]="Accetta"; // testo bottone accettazione
-	$varlaw["info"]="Maggiori info"; // testo bottone info . lasciare vuoto nel caso non si hanno altre info 
-	$varlaw["link"]=$informativa; // link del doc maggiori info - puo' essere il link anche esterno, o indirizzato ad una pagina html....
-	$varlaw["colsfondo"]="#ff0000"; // colore sfondo del messaggio
-	$varlaw["coltesto"]="#ffffff"; // colore testo del messaggio
-	$varlaw["colbordo"]="#ffffff"; // colore bordo del messaggio
+$varlaw=array();
+$varlaw["testo"]="Questo sito utilizza limitatamente i cookie per questioni tecniche e di funzionalitÃ "; // testo messaggio
+$varlaw["continua"]="Accetta"; // testo bottone accettazione
+$varlaw["info"]="Maggiori info"; // testo bottone info . lasciare vuoto nel caso non si hanno altre info 
+$varlaw["link"]=$informativa; // link del doc maggiori info - puo' essere il link anche esterno, o indirizzato ad una pagina html....
+$varlaw["colsfondo"]="#ff0000"; // colore sfondo del messaggio
+$varlaw["coltesto"]="#ffffff"; // colore testo del messaggio
+$varlaw["colbordo"]="#ffffff"; // colore bordo del messaggio
 
 /*
@@ -41,4 +37,2 @@
 
 ?>
-
-
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 399)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 400)
@@ -45,5 +45,7 @@
         echo "<div>[ ";
         $counter = 0;
-        while (list(, $ltr) = each($alfa)) {
+        // while (list(, $ltr) = each($alfa)) {
+		
+		foreach ($alfa as $ltr) {
 	  
 	  
Index: trunk/client/modules/Elezioni/confronti.php
===================================================================
--- trunk/client/modules/Elezioni/confronti.php	(revision 399)
+++ trunk/client/modules/Elezioni/confronti.php	(revision 400)
@@ -64,7 +64,7 @@
 
 	echo "<table><tr>
-		<td>Dai un nome<br/>al il primo gruppo</td><td><input type=\"text\" name=\"grp1\" value=\"\"/></td></tr>
-		<tr><td>Dai un nome<br/>al secondo gruppo</td><td><input type=\"text\" name=\"grp2\" value=\"\"/></td></tr>
-		<tr><td>Se vuoi un raffronto <br/>con il totale degli altri gruppi</td><td><input type=\"checkbox\" name=\"grp3\"/></td></tr>
+		<td>Dai un nome al il primo gruppo</td><td><input type=\"text\" name=\"grp1\" value=\"\"/></td></tr>
+		<tr><td>Dai un nome al secondo gruppo</td><td><input type=\"text\" name=\"grp2\" value=\"\"/></td></tr>
+		<tr><td>Se vuoi un raffronto con il totale degli altri gruppi</td><td><input type=\"checkbox\" name=\"grp3\"/></td></tr>
 		<tr><td align=\"center\" colspan=\"2\"><br/>"._SCELTA_CONS."</td></tr>";
 	$x=1;
Index: trunk/client/modules/Elezioni/contatti.php
===================================================================
--- trunk/client/modules/Elezioni/contatti.php	(revision 399)
+++ trunk/client/modules/Elezioni/contatti.php	(revision 400)
@@ -66,5 +66,5 @@
 	$msg .= ""._SENDEREMAIL.": $sender_email\n";
 	$msg .= "IP: $ip\n";
-	$msg .= "<br/>"._MESSAGE.": $message\n\n";
+	$msg .= "\n\n"._MESSAGE.": $message\n\n";
 	$to = $adminmail;
 	$mailheaders = "From: $sender_name <$sender_email>\n";
Index: trunk/client/modules/Elezioni/crea_paginaphp7.php
===================================================================
--- trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 399)
+++ trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 400)
@@ -75,5 +75,5 @@
 		if ($pdf!="1" && $csv=="1")
 		{		
-			$html .="<center><table><tr><td align=\"left\">
+			$html .="<center><table><tr><td  align=\"middle\">
 			<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" alt=\"logo\" /> ";
 #			$html .= "</td><td>$datipdf";
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 399)
+++ trunk/client/modules/Elezioni/index.php	(revision 400)
@@ -21,4 +21,6 @@
 #if (isset($param['datipdf'])) $datipdf=addslashes($param['datipdf']); else $datipdf='';
 if(isset($param['visgralista'])) $visgralista=1;
+
+#global $id_comune,$id_cons_gen;
 if (isset($param['id_comune'])) $id_comune=intval($param['id_comune']); else $id_comune=$siteistat;
 if (isset($param['id_cons_gen'])) $id_cons_gen=intval($param['id_cons_gen']); else 
@@ -55,7 +57,7 @@
 if (isset($param['descr_circ'])) $descr_circ=intval($param['descr_circ']); else $descr_circ='';
 
+if($info) $_SESSION['info']=$info;
 
 # anti-xss nov. 2009 
-$id_comune=htmlentities($id_comune); 
 $id_comune=intval($id_comune); 
 $perc=htmlentities($perc); 
@@ -74,4 +76,7 @@
 
 list($hondt) = $res->fetch(PDO::FETCH_NUM);
+#$TEST1=": comune:$id_comune -- cons:$id_cons_gen<br>";
+#$TEST2=": ";
+#if(isset($_SESSION['id_comune'])) $TEST2.=$_SESSION['id_comune']."<br>";
 
 $sql = "SELECT t3.genere,t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune=$id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.chiusa!='2' ";
@@ -148,5 +153,5 @@
     	if($csv!=1){
 	  //include_once("modules/Elezioni/funzioni.php");
-	echo "<table width=\"100%\"><tr><td>";
+	echo "<table width=\"100%\"><tr><td style=\"text-align: center;\">";
 	$siteistat=$id_comune;
 	if($simbolo!=''){
@@ -1057,5 +1062,5 @@
 		
 		$sql="SELECT t1.id_cand , t1.cognome, t1.nome, t1.num_cand, t2.id_cand, sum(t2.voti) as somma  FROM ".$prefix."_ele_candidati as t1 , ".$prefix."_ele_voti_candidati as t2
-		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand order by somma desc, t1.num_cand asc" ;
+		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand, t1.cognome, t1.nome, t1.num_cand, t2.id_cand order by somma desc, t1.num_cand asc" ;
 		$res_candi = $dbi->prepare("$sql");
 		$res_candi->execute();
@@ -1227,4 +1232,5 @@
 $test=phpversion();
 if($test>=5.6) $phpver=1; else $phpver=0;
+# echo "TEST: comune:$id_comune -- cons:$id_cons_gen<br>$TEST1 $TEST2";
 switch ($op){
 
@@ -1372,4 +1378,6 @@
    	include("blocchi/privacy/privacy.php");
    break;	
+   default:
+	include("blocchi/privacy/privacy.php");
 
 }