Index: /trunk/admin/modules/Elezioni/ele.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele.php	(revision 402)
+++ /trunk/admin/modules/Elezioni/ele.php	(revision 403)
@@ -289,5 +289,5 @@
 
 	if (file_exists("../client/modules.php"))
-	echo "<hr><a href=\"../client/modules.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen\" target=\"_blank\">$bullet Guarda il sito</a><br><hr>";
+	echo "<hr><a href=\"../client/modules.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;op=gruppo\" target=\"_blank\">$bullet Guarda il sito</a><br><hr>";
 
 	//echo "<hr /><a href=\"../client/modules.php\" target=\"_blank\">$bullet Guarda il sito</a><br /><hr />";
Index: /trunk/client/modules.php
===================================================================
--- /trunk/client/modules.php	(revision 402)
+++ /trunk/client/modules.php	(revision 403)
@@ -88,4 +88,5 @@
 
 session_start();//MODIFICHE PER GESTIONE SESSIONI
+if (!count($_SESSION)) $_SESSION['op']='gruppo';
 // apre database
 ////////////////////////
Index: /trunk/client/modules/Elezioni/grafici.php
===================================================================
--- /trunk/client/modules/Elezioni/grafici.php	(revision 402)
+++ /trunk/client/modules/Elezioni/grafici.php	(revision 403)
@@ -554,5 +554,5 @@
 		global $tema;
 		if($tema!="tour") echo "</tr><tr>";
-		echo "<td style=\"vertical-align=:top;\"><br />";
+		echo "<td style=\"vertical-align=:top; text-align:center;\"><br />";
 		# grafico statico
 		echo "<img  src='modules/Elezioni/grafici/barre.php?dati1=$dati1&amp;dati2=$dati2&amp;i=$i&amp;cop=$copy&amp;titolo=$titolo&amp;descr=$descr_cons&amp;l=$l&amp;w=$w&amp;logo=$logo'  alt=\"Grafico\" />";
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 402)
+++ /trunk/client/modules/Elezioni/index.php	(revision 403)
@@ -37,5 +37,6 @@
         list($id_cons_gen)=$res->fetch(PDO::FETCH_NUM);
 }       
-if (isset($param['op'])) $op=$param['op']; else $op='';
+if(!count($param)) $op='gruppo';
+elseif (isset($param['op'])) $op=$param['op']; else $op='';
 if (isset($param['minsez'])) $minsez=intval($param['minsez']); else $minsez='';
 if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista='';
Index: /trunk/client/temi/altro/menu.php
===================================================================
--- /trunk/client/temi/altro/menu.php	(revision 402)
+++ /trunk/client/temi/altro/menu.php	(revision 403)
@@ -234,5 +234,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/blog/menu.php
===================================================================
--- /trunk/client/temi/blog/menu.php	(revision 402)
+++ /trunk/client/temi/blog/menu.php	(revision 403)
@@ -233,5 +233,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/bsitalia/tema.php
===================================================================
--- /trunk/client/temi/bsitalia/tema.php	(revision 402)
+++ /trunk/client/temi/bsitalia/tema.php	(revision 403)
@@ -37,5 +37,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/default/menu.php
===================================================================
--- /trunk/client/temi/default/menu.php	(revision 402)
+++ /trunk/client/temi/default/menu.php	(revision 403)
@@ -232,5 +232,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/facebook/tema.php
===================================================================
--- /trunk/client/temi/facebook/tema.php	(revision 402)
+++ /trunk/client/temi/facebook/tema.php	(revision 403)
@@ -37,5 +37,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/realistic/tema.php
===================================================================
--- /trunk/client/temi/realistic/tema.php	(revision 402)
+++ /trunk/client/temi/realistic/tema.php	(revision 403)
@@ -37,5 +37,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/spectral/tema.php
===================================================================
--- /trunk/client/temi/spectral/tema.php	(revision 402)
+++ /trunk/client/temi/spectral/tema.php	(revision 403)
@@ -37,5 +37,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	$content .= "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/stylized/menu.php
===================================================================
--- /trunk/client/temi/stylized/menu.php	(revision 402)
+++ /trunk/client/temi/stylized/menu.php	(revision 403)
@@ -233,5 +233,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/tour/menu.php
===================================================================
--- /trunk/client/temi/tour/menu.php	(revision 402)
+++ /trunk/client/temi/tour/menu.php	(revision 403)
@@ -232,5 +232,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 
Index: /trunk/client/temi/yellowblu/menu.php
===================================================================
--- /trunk/client/temi/yellowblu/menu.php	(revision 402)
+++ /trunk/client/temi/yellowblu/menu.php	(revision 403)
@@ -233,5 +233,5 @@
 
 				$files=ucfirst($tlist[$i]);
-	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;tema=$tlist[$i]\">$files</a></li>"; 
+	echo  "<li><a href=\"modules.php?name=Elezioni&amp;id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;op=gruppo&amp;tema=$tlist[$i]\">$files</a></li>"; 
 
 