Index: trunk/client/modules/Elezioni/affluenze-inc.php
===================================================================
--- trunk/client/modules/Elezioni/affluenze-inc.php	(revision 406)
+++ trunk/client/modules/Elezioni/affluenze-inc.php	(revision 407)
@@ -179,5 +179,7 @@
 	$num_ril= $resril->rowCount();  //numero delle rilevazioni previste
     if(!isset($html)) $html='';
-	$html .= "<table class=\"td-89\">";
+	if($csv && $pdf) $tabpdf="style=\"width:45%; margin:0px auto;text-align:center;\"";
+	else $tabpdf='';
+	$html .= "<table class=\"td-100\" $tabpdf>";
 	$html .= "<tr class=\"bggray\"><td>"._SEZIONI."</td><td>"._ISCR_SEZ."</td>";
 	$sql="SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1";
@@ -196,7 +198,7 @@
 #		if(($data==$ultdata) and ($ora==$ultora))
 		{
-			$tot[$data.$ora]="<table style=\"width:100%;border:none;\"><tr class=\"bggray2\"><td style=\"width:33%;text-align:center;border:none;\">
-			<b>".number_format($votiu,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;\">
-			<b>".number_format($votid,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;\">
+			$tot[$data.$ora]="<table style=\"width:100%;border:none;\"><tr class=\"bggray2\"><td style=\"width:33%;text-align:center;border:none;max-width:50px;\">
+			<b>".number_format($votiu,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;max-width:50px;\">
+			<b>".number_format($votid,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;max-width:50px;\">
 			<b>".number_format($somma,0,',','.')."</b></td>
 			</tr></table>";
@@ -227,6 +229,7 @@
 		$html .= "<br /><table style=\"width:100%;border:none;\"><tr class=\"bggray\">";
 		if ((isset($perc_u[$data1.$ora1]) or isset($perc_d[$data1.$ora1])) and ($perc_u[$data1.$ora1]+$perc_d[$data1.$ora1])>0) 
-			$html .= "<th style=\"width:28%;text-align:center;border:none;\">"._UOMINI."</th><th style=\"width:28%;text-align:center;border:none;\">"._DONNE."</th>";
-		$html .= "<th style=\"width:28%;text-align:center;border:none;\">"._COMPLESSIVI."</th></tr></table></td>";
+			$html .= "<th style=\"width:33%;max-width:100px;text-align:center;border:none;\">"._UOMINI."</th><th style=\"width:33%;max-width:50px;text-align:center;border:none;\">"._DONNE."</th><th style=\"width:33%;max-width:150px;text-align:center;border:none;\">"._COMPLESSIVI."</th></tr></table></td>";
+
+		else $html .= "<th style=\"width:150px;text-align:center;border:none;\">"._COMPLESSIVI."</th></tr></table></td>";
 
 		if (isset($tot[$data1.$ora1])){
@@ -234,7 +237,7 @@
 			if (($perc_u[$data1.$ora1] or $perc_d[$data1.$ora1])){
 				$ar['perc'][$data1.$ora1]="<table style=\"width:100%;border:none;\"><tr class=\"bggray2\">
-				<td style=\"width:33%;text-align:center;border:none;\"><b><i><span class=\"red\">".$perc_u[$data1.$ora1]."%</span></i></b></td>
-				<td style=\"width:33%;text-align:center;border:none;\"><b><i><span class=\"red\">".$perc_d[$data1.$ora1]."%</span></i></b></td>
-				<td style=\"width:33%;text-align:center;border:none;\" ><span class=\"red\"><b><i>".$perc_c[$data1.$ora1]."%</i></b></span></td>
+				<td style=\"width:33%;text-align:center;border:none;max-width:50px;\"><b><i><span class=\"red\">".$perc_u[$data1.$ora1]."%</span></i></b></td>
+				<td style=\"width:33%;text-align:center;border:none;max-width:50px;\"><b><i><span class=\"red\">".$perc_d[$data1.$ora1]."%</span></i></b></td>
+				<td style=\"width:33%;text-align:center;border:none;max-width:50px;\" ><span class=\"red\"><b><i>".$perc_c[$data1.$ora1]."%</i></b></span></td>
 				</tr></table>";
 				$ar[0][$data1.$ora1]=$tot[$data1.$ora1];
@@ -270,7 +273,7 @@
 		if(($uomini+$donne)>0)
 			$ar[$numsez][$data.$ora]="<table style=\"width:100%;border:none;\"><tr>
-			<td style=\"width:33%;text-align:center;border:none;\">$uomini</td>
-			<td style=\"width:33%;text-align:center;border:none;\">$donne</td>
-			<td style=\"width:33%;text-align:center;border:none;\">$complessivi</td>
+			<td style=\"width:33%;text-align:center;border:none;max-width:50px;\">$uomini</td>
+			<td style=\"width:33%;text-align:center;border:none;max-width:50px;\">$donne</td>
+			<td style=\"width:33%;text-align:center;border:none;max-width:50px;\">$complessivi</td>
 			</tr></table>";
 		else
@@ -285,5 +288,5 @@
 		foreach ($arr as $valore)
 		{			
-			$html .= "<td>$valore</td>";
+			$html .= "<td style=\"max-width:33%;text-align:center;border:none;\">$valore</td>";
 		}
 		$html .= "</tr>";
@@ -311,6 +314,6 @@
 if($csv==1){
 	$data=date("d-m-y G:i");
-	$style .="\t\t\n<br/><br/><br/><div style=\"margin:0px auto;text-align:center;\"><i>Stampato: $data</i></div>";
-	$style .="<br/><div style=\"text-align:center;\"><i>Eleonline by luciano apolito e roberto gigli - www.eleonline.it</i></div>";		
+	$style .="\t\t\n<br/><br/><br/><table style=\"width:50%; margin:0px auto;text-align:center;\"><tr><td><div style=\"margin:0px auto;text-align:center;\"><i>Stampato: $data</i></div>";
+	$style .="<br/><div style=\"text-align:center;\"><i>Eleonline by luciano apolito e roberto gigli - www.eleonline.it</i></div></td></tr></table>";		
 	$style .= "<br/>  ";	     
 }	
Index: trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/affluenze.php	(revision 406)
+++ trunk/client/modules/Elezioni/affluenze.php	(revision 407)
@@ -34,8 +34,8 @@
 	$nomefile="$descr_cons affluenze.pdf";	
 	$stampa ="$datipdf $html $style";
-	if($vismf)		
+#	if($vismf)		
 		$html2pdf = new Html2Pdf('L','A4', 'it');
-	else
-		$html2pdf = new Html2Pdf('P','A4', 'it');
+#	else
+#		$html2pdf = new Html2Pdf('P','A4', 'it');
 	$html2pdf->WriteHTML($stampa, isset($_GET['vuehtml']));
 	$html2pdf->Output($nomefile);
Index: trunk/client/modules/Elezioni/blocchi/04_sezioni.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 406)
+++ trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 407)
@@ -73,6 +73,6 @@
 			if ($genere==0) $pos="gruppo_sezione";elseif($genere=='4' || $votog) $pos="lista_sezione";
 		 	else $pos="gruppo_sezione"; 
-			
-			$html .="<td style=\"margin:0px auto; text-align:center; width:5%;background-color:$bgsez;\" ><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;perc=true&amp;file=index&amp;op=$pos&amp;minsez=$sez_num&amp;offsetsez=$sez_num\"><b>$sez_num</b></a></td>";
+
+			$html .="<td style=\"margin:0px auto; text-align:center; width:5%;background-color:$bgsez;\"><a style=\"background-color:$bgsez;\" href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;perc=true&amp;file=index&amp;op=$pos&amp;minsez=$sez_num&amp;offsetsez=$sez_num\"><b>$sez_num</b></a></td>";
 
 			if (($i%5) ==0) $html .="</tr>\n<tr>";
Index: trunk/client/temi/Futura2/index.php
===================================================================
--- trunk/client/temi/Futura2/index.php	(revision 406)
+++ trunk/client/temi/Futura2/index.php	(revision 407)
@@ -151,5 +151,10 @@
 
 function footer_mon(){
-global $id_comune,$id_cons_gen,$tema,$colortheme,$rss;
+global $id_comune,$id_cons_gen,$tema,$colortheme,$rss,$prefix,$dbi;
+
+$sql="SELECT tema FROM `".$prefix."_config`";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($deftema) = $res->fetch(PDO::FETCH_NUM);
 
 echo '
@@ -161,7 +166,7 @@
 if($tema=="Futura2")
 	//echo'<a href="backtoapp.html" data-rel="external" data-ajax="false">Chiudi</a>'; // per l'app precedente non piu usata
-	echo '&nbsp;<a href="modules.php?name=Elezioni&tema=facebook&nocell=1" data-rel="external" data-ajax="false" >Versione Desktop</a>';
+	echo '&nbsp;<a href="modules.php?name=Elezioni&tema='.$deftema.'&nocell=1&op=gruppo&id_cons_gen='.$id_cons_gen.'" data-rel="external" data-ajax="false" >Versione Desktop</a>';
 else 
-	echo '&nbsp;<a href="modules.php?name=Elezioni&tema=facebook&desktop=1" data-rel="external" data-ajax="false" >Versione Desktop</a>';
+	echo '&nbsp;<a href="modules.php?name=Elezioni&tema=facebook&desktop=1&op=gruppo" data-rel="external" data-ajax="false" >Versione Desktop</a>';
 	echo'</div>';
 }
Index: trunk/client/temi/bsitalia/layout/styles/style.css
===================================================================
--- trunk/client/temi/bsitalia/layout/styles/style.css	(revision 406)
+++ trunk/client/temi/bsitalia/layout/styles/style.css	(revision 407)
@@ -495,4 +495,13 @@
 	
 }
+
+.td-100 {
+	
+	
+	width: 100%;	
+	border: none;
+	text-align: left; 
+	
+}
 .td-640 {
 	float: left;
Index: trunk/client/temi/bsitalia/style.css
===================================================================
--- trunk/client/temi/bsitalia/style.css	(revision 406)
+++ trunk/client/temi/bsitalia/style.css	(revision 407)
@@ -489,4 +489,12 @@
 }
 
+.td-100 {
+	
+	
+	width: 100%;	
+	border: none;
+	text-align: left; 
+	
+}
 .td-89 {
 	
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 406)
+++ trunk/client/versione.php	(revision 407)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 406";
+$versione = "3.0 rev 407";
 $version_number = $versione;
-$datarel = "28 febbraio 2024";
+$datarel = "05 marzo 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 