Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 409)
+++ trunk/client/temi/altro/menu.php	(revision 410)
@@ -153,13 +153,11 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
-		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
-
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
+				 echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
       		}		
 
Index: trunk/client/temi/blog/menu.php
===================================================================
--- trunk/client/temi/blog/menu.php	(revision 409)
+++ trunk/client/temi/blog/menu.php	(revision 410)
@@ -152,11 +152,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-				$resc = $dbi->prepare("$sql");
-				$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/bsitalia/menu.php
===================================================================
--- trunk/client/temi/bsitalia/menu.php	(revision 409)
+++ trunk/client/temi/bsitalia/menu.php	(revision 410)
@@ -165,11 +165,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
 	$resc = $dbi->prepare("$sql");
 	$resc->execute();
 
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+		if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/default/menu.php
===================================================================
--- trunk/client/temi/default/menu.php	(revision 409)
+++ trunk/client/temi/default/menu.php	(revision 410)
@@ -153,11 +153,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 409)
+++ trunk/client/temi/facebook/menu.php	(revision 410)
@@ -166,11 +166,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+       		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/realistic/menu.php
===================================================================
--- trunk/client/temi/realistic/menu.php	(revision 409)
+++ trunk/client/temi/realistic/menu.php	(revision 410)
@@ -165,11 +165,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/spectral/menu.php
===================================================================
--- trunk/client/temi/spectral/menu.php	(revision 409)
+++ trunk/client/temi/spectral/menu.php	(revision 410)
@@ -165,11 +165,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-				$resc = $dbi->prepare("$sql");
-				$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/stylized/menu.php
===================================================================
--- trunk/client/temi/stylized/menu.php	(revision 409)
+++ trunk/client/temi/stylized/menu.php	(revision 410)
@@ -153,11 +153,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/tour/menu.php
===================================================================
--- trunk/client/temi/tour/menu.php	(revision 409)
+++ trunk/client/temi/tour/menu.php	(revision 410)
@@ -152,11 +152,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 409)
+++ trunk/client/temi/yellowblu/menu.php	(revision 410)
@@ -153,11 +153,10 @@
 			}
       		}
-                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
-				$resc = $dbi->prepare("$sql");
-				$resc->execute();
-
-                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
-
-                if ($hondt>=1 and $chiusa==1) {
+      		$sql="SELECT proiezione FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+			$resc = $dbi->prepare("$sql");
+			$resc->execute();
+
+      		list($proiezione)=$resc->fetch(PDO::FETCH_NUM); 
+			if ($hondt>=1 and $proiezione==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 409)
+++ trunk/client/versione.php	(revision 410)
@@ -1,5 +1,5 @@
 <?php
 
-$versione = "3.0 rev 409";
+$versione = "3.0 rev 410";
 $version_number = $versione;
 $datarel = "06 marzo 2024";