Index: /trunk/admin/modules/Elezioni/aggiornadb.php
===================================================================
--- /trunk/admin/modules/Elezioni/aggiornadb.php	(revision 410)
+++ /trunk/admin/modules/Elezioni/aggiornadb.php	(revision 411)
@@ -349,4 +349,8 @@
 echo "<br><br>".++$num.") Aggiornamento della tabella _ele_conf per la nuova gestione della L.R. Sicilia";
 $sql="UPDATE `".$prefix."_ele_conf` SET `inffisso` = '1' WHERE `id_conf` = 4;";
+$ret=aggiorna($sql,$dbi,'',$num);
+
+echo "<br><br>".++$num.") Aggiornamento del campo numero candidato della tabella _ele_voti_candidati per le consultazioni precedenti all'aggiunta del campo stesso";
+$sql="update `".$prefix."_ele_voti_candidati` as t1 left join `".$prefix."_ele_candidati` as t2 on t1.id_cand=t2.id_cand set t1.num_cand=t2.num_cand where t1.num_cand=0 and t2.num_cand>0;";
 $ret=aggiorna($sql,$dbi,'',$num);
 
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 410)
+++ /trunk/admin/versione.php	(revision 411)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 410";
+$versione = "3.0 rev 411";
 $version_number = $versione;
-$datarel = "06 marzo 2024";
+$datarel = "06 aprile 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/affluenze-inc.php
===================================================================
--- /trunk/client/modules/Elezioni/affluenze-inc.php	(revision 410)
+++ /trunk/client/modules/Elezioni/affluenze-inc.php	(revision 411)
@@ -48,5 +48,5 @@
 	"._RISULTA." "._CONSULTA."<br/ >";
 	$datipdf .= "$descr_cons<br />"._DISCLAIMER."
-        <br /><b>"._DETTAGLIO."  "._AFFLUENZE."</b>";
+        <br /><hr/><b>"._DETTAGLIO."  "._AFFLUENZE."</b>";
 	if($xls!=1) $datipdf .=  "</td></tr></table>";
 	$datipdf .="</div>";
@@ -179,7 +179,7 @@
 	$num_ril= $resril->rowCount();  //numero delle rilevazioni previste
     if(!isset($html)) $html='';
-	if($csv && $pdf) $tabpdf="style=\"width:45%; margin:0px auto;text-align:center;\"";
+	if($csv && $pdf) $tabpdf="<col width=\"50\">";
 	else $tabpdf='';
-	$html .= "<table class=\"td-100\" $tabpdf>";
+	$html .= "<table class=\"td-100\"> $tabpdf";
 	$html .= "<tr class=\"bggray\"><td>"._SEZIONI."</td><td>"._ISCR_SEZ."</td>";
 	$sql="SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1";
@@ -198,7 +198,7 @@
 #		if(($data==$ultdata) and ($ora==$ultora))
 		{
-			$tot[$data.$ora]="<table style=\"width:100%;border:none;\"><tr class=\"bggray2\"><td style=\"width:33%;text-align:center;border:none;max-width:50px;\">
-			<b>".number_format($votiu,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;max-width:50px;\">
-			<b>".number_format($votid,0,',','.')."</b></td><td style=\"width:33%;text-align:center;border:none;max-width:50px;\">
+			$tot[$data.$ora]="<table style=\"width:100%;border:none;\"><tr class=\"bggray2\"><td style=\"width:30%;text-align:center;border:none;max-width:50px;\">
+			<b>".number_format($votiu,0,',','.')."</b></td><td style=\"width:30%;text-align:center;border:none;max-width:50px;\">
+			<b>".number_format($votid,0,',','.')."</b></td><td style=\"width:40%;text-align:center;border:none;max-width:80px;\">
 			<b>".number_format($somma,0,',','.')."</b></td>
 			</tr></table>";
@@ -229,5 +229,5 @@
 		$html .= "<br /><table style=\"width:100%;border:none;\"><tr class=\"bggray\">";
 		if ((isset($perc_u[$data1.$ora1]) or isset($perc_d[$data1.$ora1])) and ($perc_u[$data1.$ora1]+$perc_d[$data1.$ora1])>0) 
-			$html .= "<th style=\"width:33%;max-width:100px;text-align:center;border:none;\">"._UOMINI."</th><th style=\"width:33%;max-width:50px;text-align:center;border:none;\">"._DONNE."</th><th style=\"width:33%;max-width:150px;text-align:center;border:none;\">"._COMPLESSIVI."</th></tr></table></td>";
+			$html .= "<th style=\"width:28%;max-width:100px;text-align:center;border:none;\">"._UOMINI."</th><th style=\"width:28%;max-width:50px;text-align:center;border:none;\">"._DONNE."</th><th style=\"width:44%;max-width:150px;text-align:center;border:none;\">"._COMPLESSIVI."</th></tr></table></td>";
 
 		else $html .= "<th style=\"width:150px;text-align:center;border:none;\">"._COMPLESSIVI."</th></tr></table></td>";
Index: /trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/affluenze.php	(revision 410)
+++ /trunk/client/modules/Elezioni/affluenze.php	(revision 411)
@@ -34,8 +34,8 @@
 	$nomefile="$descr_cons affluenze.pdf";	
 	$stampa ="$datipdf $html $style";
-#	if($vismf)		
+	if($vismf)		
 		$html2pdf = new Html2Pdf('L','A4', 'it');
-#	else
-#		$html2pdf = new Html2Pdf('P','A4', 'it');
+	else
+		$html2pdf = new Html2Pdf('P','A4', 'it');
 	$html2pdf->WriteHTML($stampa, isset($_GET['vuehtml']));
 	$html2pdf->Output($nomefile);
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 410)
+++ /trunk/client/versione.php	(revision 411)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 410";
+$versione = "3.0 rev 411";
 $version_number = $versione;
-$datarel = "06 marzo 2024";
+$datarel = "06 aprile 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 