Index: trunk/admin/modules/Elezioni/ele_spoglio.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 412)
+++ trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 413)
@@ -177,6 +177,6 @@
 	}
 #	echo "Errori:";
-	if($errvot1) echo "<table><tr><td align=\"center\" bgcolor=\"red\"> <h1 style=\"color:white;\">I votanti inseriti superano il numero di elettori</h1></td></tr></table></br>";
-	if($error) echo "<table><tr><td align=\"center\" bgcolor=\"red\"> <h1 style=\"color:white;\">Numero di votanti inferiore della rilevazione precedente</h1></td></tr></table></br>";
+	if(isset($errvot1) and $errvot1) echo "<table><tr><td align=\"center\" bgcolor=\"red\"> <h1 style=\"color:white;\">I votanti inseriti superano il numero di elettori</h1></td></tr></table></br>";
+	if(isset($error) and $error) echo "<table><tr><td align=\"center\" bgcolor=\"red\"> <h1 style=\"color:white;\">Numero di votanti inferiore della rilevazione precedente</h1></td></tr></table></br>";
 	echo "<table border=\"1\"><tr><td><b>Iscritti nella sezione</b> Maschi: $maschi - Femmine: $femmine - Totale: ".($maschi+$femmine)."</td></tr></table></br>"; 
 	foreach($riga as $key=>$val){
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 412)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 413)
@@ -337,5 +337,5 @@
 $res->execute();
 list($chiusa) = $res->fetch(PDO::FETCH_NUM);
-if ($chiusa) echo " -- CONSULTAZIONE NON ATTIVA";
+if ($chiusa==1) echo " -- CONSULTAZIONE NON ATTIVA";
 echo "</h2><table style=\"margin-left:auto; margin-right:auto;\"><tr>";
 #<a href=\"admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=1\"></a>
Index: trunk/admin/modules/Elezioni/salva_aff.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_aff.php	(revision 412)
+++ trunk/admin/modules/Elezioni/salva_aff.php	(revision 413)
@@ -49,5 +49,5 @@
 $res->execute();
 list($id_cons,$chiusa)=$res->fetch(PDO::FETCH_NUM);
-if(!$chiusa){
+if(!$chiusa==1){
 	$query="select id_parz from ".$prefix."_ele_voti_parziale where data='$data' and orario='$orario' and id_sez='$id_sez' and id_gruppo='$id_gruppo'";
 	$res = $dbi->prepare("$query");
Index: trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 412)
+++ trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 413)
@@ -48,5 +48,5 @@
 $res->execute();
 list($disgiunto,$chiusa)=$res->fetch(PDO::FETCH_NUM);
-if(!$chiusa){
+if(!$chiusa==1){
 	$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
 	$res = $dbi->prepare("$sql");
Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 412)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 413)
@@ -54,5 +54,5 @@
 $res->execute();
 list($chiusa)=$res->fetch(PDO::FETCH_NUM);
-if(!$chiusa){
+if(!$chiusa==1){
 	$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" ;
 	$res = $dbi->prepare("$sql");
Index: trunk/admin/modules/Elezioni/salva_ref.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_ref.php	(revision 412)
+++ trunk/admin/modules/Elezioni/salva_ref.php	(revision 413)
@@ -47,5 +47,5 @@
 $res->execute();
 list($chiusa)=$res->fetch(PDO::FETCH_NUM);
-if(!$chiusa){
+if(!$chiusa==1){
 	$sql="select num_gruppo,id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' ORDER BY num_gruppo  ";
 	$resultg = $dbi->prepare("$sql");
Index: trunk/admin/modules/Elezioni/salva_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_voti.php	(revision 412)
+++ trunk/admin/modules/Elezioni/salva_voti.php	(revision 413)
@@ -47,5 +47,5 @@
 $result->execute();
 list($flagsg,$disgiunto,$chiusa)=$result->fetch(PDO::FETCH_NUM);
-if(!$chiusa){
+if(!$chiusa==1){
 	if (!isset($fileout)) $fileout='';
 	#if(($voti_u+$voti_d) and !$voti_t) $voti_t=$voti_u+$voti_d;
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 412)
+++ trunk/admin/versione.php	(revision 413)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 412";
+$versione = "3.0 rev 413";
 $version_number = $versione;
-$datarel = "02 maggio 2024";
+$datarel = "17 maggio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 