Index: /trunk/admin/admin.php
===================================================================
--- /trunk/admin/admin.php	(revision 415)
+++ /trunk/admin/admin.php	(revision 416)
@@ -233,5 +233,5 @@
 	#	if ($adminsuper==1) $id_comune2=0; else 
 		$id_comune2=$id_comune;
-		$sth = $dbi->prepare("select pwd,adminop,adminsuper,counter,admlanguage from ".$prefix."_authors where aid='$aid' and (id_comune='$id_comune2' or adminsuper='1')");
+		$sth = $dbi->prepare("select pwd,adminop,adminsuper,counter,admlanguage from ".$prefix."_authors where binary aid='$aid' and (id_comune='$id_comune2' or adminsuper='1')");
 		$sth->execute();	
 		$esiste=$sth->rowCount();
Index: /trunk/admin/modules/Elezioni/aggiornadb.php
===================================================================
--- /trunk/admin/modules/Elezioni/aggiornadb.php	(revision 415)
+++ /trunk/admin/modules/Elezioni/aggiornadb.php	(revision 416)
@@ -116,5 +116,5 @@
 	$sql="UPDATE `".$prefix."_authors` SET `adminop` = '1', `adminsuper` = '0',`admincomune` = '0' WHERE `".$prefix."_authors`.`aid` != 'admin' AND `".$prefix."_authors`.`adminsuper` != '1'";
 	$ret=aggiorna($sql,$dbi,'',$num);
-	$sql="UPDATE `".$prefix."_authors` SET `adminop` = '0', `adminsuper` = '0',`admincomune` = '1' WHERE `".$prefix."_authors`.`aid` = 'admin'";
+	$sql="UPDATE `".$prefix."_authors` SET `adminop` = '0', `adminsuper` = '0',`admincomune` = '1' WHERE `".$prefix."_authors`.`aid` = 'admin' and `".$prefix."_authors`.`adminsuper` != '1'";
 	$ret=aggiorna($sql,$dbi,'',$num);
 	$sql="UPDATE `".$prefix."_authors` SET `adminop` = '0', `adminsuper` = '1',`admincomune` = '0' WHERE `".$prefix."_authors`.`aid` = 'suser' or `".$prefix."_authors`.`adminsuper` = '1'";
Index: /trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_lista.php	(revision 415)
+++ /trunk/admin/modules/Elezioni/ele_lista.php	(revision 416)
@@ -42,6 +42,5 @@
 
 // Offset - visualizza il numero di elementi per pagina
-
-$offset=15;
+if(isset($offsetliste) and $offsetliste>0) $offset=$offsetliste; else $offset=15;
 $hiddenInfo = "<input type=\"hidden\" name=\"min\" value=\"$min\">";
 
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 415)
+++ /trunk/admin/versione.php	(revision 416)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 415";
+$versione = "3.0 rev 416";
 $version_number = $versione;
-$datarel = "17 maggio 2024";
+$datarel = "21 maggio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 415)
+++ /trunk/client/modules/Elezioni/index.php	(revision 416)
@@ -1102,7 +1102,7 @@
 // funzione visualizzazione delle liste per camera e senato con raggruppamenti/coalizioni
 function liste(){
-global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo,$genere,$id_comune,$id_circ;
+global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo,$genere,$id_comune,$id_circ,$offsetliste;
 //dati();
-$offset=10;
+if(isset($offsetliste) and $offsetliste>0) $offset=$offsetliste; else $offset=10;
 if (!isset($min)) $min=0;
 
@@ -1112,5 +1112,5 @@
 		$sql="select *  from ".$prefix."_ele_voti_ref where id_cons='$id_cons' group by id_sez ";
 	}else{
-		$sql="select t1.*  from ".$prefix."_ele_voti_gruppo as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t2.id_cons='$id_cons'  $circos group by t1.id_sez ";
+		$sql="select t1.id_sez from ".$prefix."_ele_voti_gruppo as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t2.id_cons='$id_cons'  $circos group by t1.id_sez ";
 	}
 	$res = $dbi->prepare("$sql");
Index: /trunk/client/temi/bsitalia/style.css
===================================================================
--- /trunk/client/temi/bsitalia/style.css	(revision 415)
+++ /trunk/client/temi/bsitalia/style.css	(revision 416)
@@ -338,5 +338,5 @@
 	border: 1px dotted #FF6666;
 	padding: 2px;
-	width: 450px;
+	width: 100%;
 	background-color: #FFFFEF;
 }
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 415)
+++ /trunk/client/versione.php	(revision 416)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 415";
+$versione = "3.0 rev 416";
 $version_number = $versione;
-$datarel = "17 maggio 2024";
+$datarel = "21 maggio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 