Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 417)
+++ /trunk/admin/versione.php	(revision 418)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 417";
+$versione = "3.0 rev 418";
 $version_number = $versione;
-$datarel = "24 maggio 2024";
+$datarel = "29 maggio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 417)
+++ /trunk/client/modules/Elezioni/index.php	(revision 418)
@@ -1387,6 +1387,6 @@
 ########## icona rss da sistemare in un altra parte con calma...
 global $circo;
-if($genere!=0 && $id_circ==''){ // no referendum ne circoscrizioni
-	echo "<div align=\"right\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=rss&amp;rss=1\"><img class =\"nobordo\" width=\"60\" src=\"modules/Elezioni/images/valid-rss.png\" alt=\"rss\"/></a></div>";
+if($genere!=0 && !$circo){ // no referendum ne circoscrizioni
+	echo "<div align=\"right\"><a href=\"modules.php?op=rss&amp;rss=1&amp;id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index\"><img class =\"nobordo\" width=\"60\" src=\"modules/Elezioni/images/valid-rss.png\" alt=\"rss\"/></a></div>";
 }
 
Index: /trunk/client/modules/Elezioni/rss.php
===================================================================
--- /trunk/client/modules/Elezioni/rss.php	(revision 417)
+++ /trunk/client/modules/Elezioni/rss.php	(revision 418)
@@ -27,16 +27,18 @@
 
 	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
-
-
-
-echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n";
+//URL
+$PHP_SELF=$_SERVER['PHP_SELF'];
+$siteurl.=$PHP_SELF;
+
+echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
 echo "<rss version=\"2.0\" \n";
 echo "  xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n";
 echo "  xmlns:sy=\"http://purl.org/rss/1.0/modules/syndication/\"\n";
 echo "  xmlns:admin=\"http://webns.net/mvcb/\"\n";
+echo "  xmlns:atom=\"http://www.w3.org/2005/Atom\"\n";
 echo "  xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n\n";
 echo "<channel>\n";
 echo "<title>".htmlspecialchars($descr_com)." - $descr_cons</title>\n";
-echo "<link>".htmlspecialchars($siteurl)."</link>\n";
+echo "<link>https://".htmlspecialchars($siteurl)."</link>\n";
 echo "<description>".$sitename."</description>\n";
 echo "<dc:language>it-IT</dc:language>\n";
@@ -46,6 +48,7 @@
 echo "<sy:updateFrequency>1</sy:updateFrequency>\n";
 echo "<sy:updateBase>".$now."</sy:updateBase>\n\n";
-
-list ($gruppo,$pro,$titolo)=grupporss();
+echo "<atom:link href=\"https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen\" rel=\"self\" type=\"application/rss+xml\" />\n";
+
+list ($gruppo,$pro,$titolo,$idg)=grupporss();
 
 
@@ -58,5 +61,6 @@
     echo "<item>\n";
     echo "<title>".$gruppo[$x]." ".$pro[$x] ."% </title>\n";
-    echo "<link>$siteurl/modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index</link>\n";
+    echo "<link>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen</link>\n";
+	echo "<guid>https://$siteurl?op=rss&amp;rss=1&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;gruppo=$idg[$x]</guid>\n";
     
 #    echo "<description><![CDATA['aa']]></description>\n";
@@ -89,5 +93,5 @@
 	if ($genere==4){$tab="ele_voti_lista";}
 	if ($votog){$tab="ele_voti_lista";}
-	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+	$sql="select id_sez  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
@@ -138,5 +142,5 @@
         			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
-				group by t2.id_gruppo
+				group by t1.id_gruppo,t1.num_gruppo,t1.descrizione
 				order by somma desc";
 				$res = $dbi->prepare("$sql");
@@ -151,5 +155,5 @@
         		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons
-				group by t2.id_lista
+				group by t1.id_lista,t1.num_lista,t1.descrizione
 				order by somma desc";
 				$res = $dbi->prepare("$sql");
@@ -176,5 +180,5 @@
 
 
-					
+				$idg[$i]=$id;	
 				
 
@@ -196,5 +200,5 @@
 		
 
-		return array($gruppo,$pro,$titolo);
+		return array($gruppo,$pro,$titolo,$idg);
                 
                
Index: /trunk/client/temi/Futura2/function_theme.php
===================================================================
--- /trunk/client/temi/Futura2/function_theme.php	(revision 417)
+++ /trunk/client/temi/Futura2/function_theme.php	(revision 418)
@@ -975,26 +975,9 @@
 	if ($circo) $circos="and t2.id_circ='$id_circ'";
 	else $circos="";
-	if (!$csv)
-
- 
-	        // numero sezioni scrutinate
-                //if ($circo)$circos="and id_circ='$id_circ'";
-        if (!isset($data1)) $data1='';
-        if (!isset($ora_ril)) $ora_ril='';
-  		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo";
-	$res1 = $dbi->prepare("$sql");
-	$res1->execute();
-# mysql_query("select *  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' $circos  group by id_sez ",$dbi);
-		$numero=$res1->rowCount();
-		$sql="SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez";
+	$sql="SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez";
 	$res2 = $dbi->prepare("$sql");
 	$res2->execute();
-#mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos",$dbi);
-		$sezioni=$res2->rowCount();
-		
-	
-	
-		
-	
+	$sezioni=$res2->rowCount();
+
 // barre
     $l_size = getimagesize("modules/Elezioni/images/barre/leftbar.gif");
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 417)
+++ /trunk/client/versione.php	(revision 418)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 417";
+$versione = "3.0 rev 418";
 $version_number = $versione;
-$datarel = "24 maggio 2024";
+$datarel = "29 maggio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/install/sql/eleonline.sql
===================================================================
--- /trunk/install/sql/eleonline.sql	(revision 417)
+++ /trunk/install/sql/eleonline.sql	(revision 418)
@@ -8,7 +8,7 @@
 /*!40101 SET NAMES utf8mb4 */;
 
-CREATE DATABASE IF NOT EXISTS `eleonline` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
+/* CREATE DATABASE IF NOT EXISTS `eleonline` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
 USE `eleonline`;
-
+*/
 CREATE TABLE `soraldo_access` (
   `access_id` int(10) NOT NULL,
@@ -185,5 +185,5 @@
   `solo_gruppo` enum('0','1') DEFAULT '0',
   `disgiunto` enum('0','1') NOT NULL DEFAULT '0',
-  `proiezione` ENUM('0','1') NOT NULL DEFAULT '0';
+  `proiezione` ENUM('0','1') NOT NULL DEFAULT '0'
 ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;
 